
; /* Start:"a:4:{s:4:"full";s:119:"/bitrix/components/bitrix/catalog/templates/.default/bitrix/catalog.compare.result/.default/script.min.js?1612009736848";s:6:"source";s:101:"/bitrix/components/bitrix/catalog/templates/.default/bitrix/catalog.compare.result/.default/script.js";s:3:"min";s:0:"";s:3:"map";s:0:"";}"*/
BX.namespace("BX.Iblock.Catalog");BX.Iblock.Catalog.CompareClass=function(){var t=function(t,o){this.wrapObjId=t;this.reloadUrl=o;BX.addCustomEvent(window,"onCatalogDeleteCompare",BX.proxy(this.reload,this))};t.prototype.MakeAjaxAction=function(t){BX.showWait(BX(this.wrapObjId));BX.ajax.post(t,{ajax_action:"Y"},BX.proxy(this.reloadResult,this))};t.prototype.reload=function(){BX.showWait(BX(this.wrapObjId));BX.ajax.post(this.reloadUrl,{compare_result_reload:"Y"},BX.proxy(this.reloadResult,this))};t.prototype.reloadResult=function(t){BX.closeWait();BX(this.wrapObjId).innerHTML=t};t.prototype.delete=function(t){BX.showWait(BX(this.wrapObjId));BX.ajax.post(t,{ajax_action:"Y"},BX.proxy(this.deleteResult,this))};t.prototype.deleteResult=function(t){BX.closeWait();BX.onCustomEvent("OnCompareChange");BX(this.wrapObjId).innerHTML=t};return t}();
/* End */
;; /* /bitrix/components/bitrix/catalog/templates/.default/bitrix/catalog.compare.result/.default/script.min.js?1612009736848*/
